Up

# NSExtensionItem class documentation

### Authors

Gregory John Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSExtensionItem class

## NSExtensionItem : NSObject

> Declared in:
>   Foundation/NSExtensionItem.h

Availability: MacOS-X 10.10.0
Description forthcoming.

Instance Variables
Method summary

- -attachments
- -attributedContentText
- -attributedTitle
- -setAttachments:
- -setAttributedContentText:
- -setAttributedTitle:
- -setUserInfo:
- -userInfo

### attachments

- (NSArray*) attachments;
Availability: MacOS-X 10.10.0
Description forthcoming.

### attributedContentText

- (NSAttributedString*) attributedContentText;
Availability: MacOS-X 10.10.0
Description forthcoming.

### attributedTitle

- (NSAttributedString*) attributedTitle;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setAttachments:

- (void) setAttachments: (NSArray*)attachments;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setAttributedContentText:

- (void) setAttributedContentText: (NSAttributedString*)string;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setAttributedTitle:

- (void) setAttributedTitle: (NSAttributedString*)string;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setUserInfo:

- (void) setUserInfo: (NSDictionary*)userInfo;
Availability: MacOS-X 10.10.0
Description forthcoming.

### userInfo

- (NSDictionary*) userInfo;
Availability: MacOS-X 10.10.0
Description forthcoming.

## Instance Variables for NSExtensionItem Class

### _attachments

@protected NSArray* _attachments;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributedContentText

@protected NSAttributedString* _attributedContentText;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributedTitle

@protected NSAttributedString* _attributedTitle;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _userInfo

@protected NSDictionary* _userInfo;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up